# ApplicationFramework
PTKernel
DBC

# DBC_VArrayNodeOfVArrayOfInteger Class Reference

`#include <DBC_VArrayNodeOfVArrayOfInteger.hxx>`

Inheritance diagram for DBC_VArrayNodeOfVArrayOfInteger:

[legend]

## Public Member Functions

Standard_EXPORT | DBC_VArrayNodeOfVArrayOfInteger ()
Standard_EXPORT | DBC_VArrayNodeOfVArrayOfInteger (const Standard_Integer &aValue)
Standard_EXPORT void | SetValue (const Standard_Integer &aValue)
Standard_EXPORT Standard_Address | Value () const
| DBC_VArrayNodeOfVArrayOfInteger (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetDBC_VArrayNodeOfVArrayOfIntegermyValue () const
void | _CSFDB_SetDBC_VArrayNodeOfVArrayOfIntegermyValue (const Standard_Integer p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myValue

## Constructor & Destructor Documentation

Standard_EXPORT DBC_VArrayNodeOfVArrayOfInteger::DBC_VArrayNodeOfVArrayOfInteger | ( |  | ) |

Standard_EXPORT DBC_VArrayNodeOfVArrayOfInteger::DBC_VArrayNodeOfVArrayOfInteger | ( | const Standard_Integer & | aValue | ) |

DBC_VArrayNodeOfVArrayOfInteger::DBC_VArrayNodeOfVArrayOfInteger | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer DBC_VArrayNodeOfVArrayOfInteger::_CSFDB_GetDBC_VArrayNodeOfVArrayOfIntegermyValue | ( |  | ) | const`[inline]`

void DBC_VArrayNodeOfVArrayOfInteger::_CSFDB_SetDBC_VArrayNodeOfVArrayOfIntegermyValue | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT const DBC_VArrayNodeOfVArrayOfInteger::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PStandard_ArrayNode.

Standard_EXPORT void DBC_VArrayNodeOfVArrayOfInteger::SetValue | ( | const Standard_Integer & | aValue | ) |

Standard_EXPORT Standard_Address DBC_VArrayNodeOfVArrayOfInteger::Value | ( |  | ) | const

## Field Documentation

Standard_Integer DBC_VArrayNodeOfVArrayOfInteger::myValue `[private]`

The documentation for this class was generated from the following file:

- DBC_VArrayNodeOfVArrayOfInteger.hxx